package speiger.src.coreengine.ui.gui.component.base;

import speiger.src.coreengine.ui.gui.renderer.IUIRenderer;

public interface IComponentRenderer<T extends GuiComponent> {
	public void renderComponent(T component, IUIRenderer renderer, int mouseX, int mouseY, float particalTicks);
	public default boolean overrideTick() { return false; }
	public default void updateComponent(T component) {}
}
